package com.yfd.platform.config;

import org.junit.jupiter.api.Order;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 *
 * @Date: 2023/6/12 17:19
 * @Description:
 */
@Configuration("AlarmTemplateConfig")
@Order(0)
public class AlarmTemplateConfig {

    @Value("${alarmtemplate.helmetcamera}")
    private String helmetCamera;

    @Value("${alarmtemplate.clothcamera}")
    private String clothCamera;

    @Value("${alarmtemplate.intensivecamera}")
    private String intensiveCamera;

    @Value("${alarmtemplate.firecamera}")
    private String fireCamera;

    @Value("${alarmtemplate.leakagecamera}")
    private String leakageCamera;

    @Value("${alarmtemplate.person_enter}")
    private String personEnter;

    @Value("${alarmtemplate.person_smoke}")
    private String personSmoke;

    public String getHelmetCamera() {
        return helmetCamera;
    }

    public String getClothCamera() {
        return clothCamera;
    }

    public String getIntensiveCamera() {
        return intensiveCamera;
    }

    public String getFireCamera() {
        return fireCamera;
    }

    public String getLeakageCamera() {
        return leakageCamera;
    }

    public String getpersonEnter() { return personEnter; }

    public String getpersonSmoke() { return personSmoke; }
}
